"use strict";

var _moduleInterop = require("@textlint/module-interop");
module.exports = {
  rules: {
    'prh-rules': (0, _moduleInterop.moduleInterop)(require('./prh-rules')),
    'ja-no-mixed-period': (0, _moduleInterop.moduleInterop)(require('textlint-rule-ja-no-mixed-period')),
    'no-hankaku-kana': (0, _moduleInterop.moduleInterop)(require('textlint-rule-no-hankaku-kana')),
    '@textlint-rule/no-unmatched-pair': (0, _moduleInterop.moduleInterop)(require('@textlint-rule/textlint-rule-no-unmatched-pair')),
    'sentence-length': (0, _moduleInterop.moduleInterop)(require('textlint-rule-sentence-length')),
    'no-doubled-conjunctive-particle-ga': (0, _moduleInterop.moduleInterop)(require('textlint-rule-no-doubled-conjunctive-particle-ga')),
    'no-double-negative-ja': (0, _moduleInterop.moduleInterop)(require('textlint-rule-no-double-negative-ja')),
    'ja-no-abusage': (0, _moduleInterop.moduleInterop)(require('textlint-rule-ja-no-abusage')),
    'ja-no-redundant-expression': (0, _moduleInterop.moduleInterop)(require('textlint-rule-ja-no-redundant-expression')),
    'no-mixed-zenkaku-and-hankaku-alphabet': (0, _moduleInterop.moduleInterop)(require('textlint-rule-no-mixed-zenkaku-and-hankaku-alphabet')),
    'ja-keishikimeishi': (0, _moduleInterop.moduleInterop)(require('textlint-rule-ja-keishikimeishi')),
    'ja-hiragana-hojodoushi': (0, _moduleInterop.moduleInterop)(require('textlint-rule-ja-hiragana-hojodoushi')),
    'ja-hiragana-daimeishi': (0, _moduleInterop.moduleInterop)(require('textlint-rule-ja-hiragana-daimeishi')),
    'ja-no-space-around-parentheses': (0, _moduleInterop.moduleInterop)(require('textlint-rule-ja-no-space-around-parentheses')),
    'ja-no-space-between-full-width': (0, _moduleInterop.moduleInterop)(require('textlint-rule-ja-no-space-between-full-width')),
    'ja-space-between-half-and-full-width': (0, _moduleInterop.moduleInterop)(require('textlint-rule-ja-space-between-half-and-full-width')),
    'ja-space-after-exclamation': (0, _moduleInterop.moduleInterop)(require('textlint-rule-ja-space-after-exclamation')),
    'ja-space-after-question': (0, _moduleInterop.moduleInterop)(require('textlint-rule-ja-space-after-question')),
    'ja-space-around-code': (0, _moduleInterop.moduleInterop)(require('textlint-rule-ja-space-around-code'))
  },
  rulesConfig: {
    'prh-rules': true,
    'ja-no-mixed-period': true,
    'no-hankaku-kana': true,
    '@textlint-rule/no-unmatched-pair': true,
    'sentence-length': {
      max: 120
    },
    'no-doubled-conjunctive-particle-ga': true,
    'no-double-negative-ja': true,
    'ja-no-abusage': true,
    'ja-no-redundant-expression': true,
    'no-mixed-zenkaku-and-hankaku-alphabet': true,
    'ja-keishikimeishi': {
      'detection_hou_kata': false,
      'detection_ue': false
    },
    'ja-hiragana-hojodoushi': true,
    'ja-hiragana-daimeishi': true,
    'ja-nakaguro-or-halfwidth-space-between-katakana': true,
    'ja-no-space-around-parentheses': true,
    'ja-no-space-between-full-width': true,
    'ja-space-between-half-and-full-width': {
      space: 'never'
    },
    'ja-space-after-exclamation': true,
    'ja-space-after-question': true,
    'ja-space-around-code': false
  }
};
//# sourceMappingURL=index.js.map